#!/usr/bin/perl -w
use strict;

my($line);
my($size,$thread_level,$min_freq,$max_freq,$governor,$type,$time);

print "Size, MinFreq, MaxFreq, Governor, Type, Thread level, Time\n" ;
while($line=<>) {
    chomp $line;
    if($line =~/^parameters.size: ([\d\.]*)$/) {
	$size = $1;
	next;
    } 
    if($line =~/^parameters.thread_level: ([\d\.]*)$/) {
	$thread_level = $1;
	next;
    } 
    if($line =~/^Min frequency: ([\d\.]*)$/) {
	$min_freq = $1;
	next;
    } 
    if($line =~/^Max frequency: ([\d\.]*)$/) {
	$max_freq = $1;
	next;
    } 
    if($line =~/^Frequency governor:\s*([\w]*)$/) {
	$governor = $1;
	next;
    } 
    if($line =~/^(.*) quicksort took.*: ([\d\.]*) sec.$/) {
	$type = $1;
	$time = $2;
	print "$size, $min_freq, $max_freq, $governor, $type, $thread_level, $time\n" ;
	next;
    } 
}
